### Method

# Soup Message set_priority

#### Declaration [src]

    void
    soup_message_set_priority (
      SoupMessage* msg,
      SoupMessagePriority priority
    )

#### Description [src]

Sets the priority of a message.

Note that this won’t have any effect unless used before the message is added to the session’s message processing queue.

The message will be placed just before any other previously added message with lower priority (messages with the same priority are processed on a FIFO basis).

Setting priorities does not currently work with synchronous messages because in the synchronous/blocking case, priority ends up being determined semi-randomly by thread scheduling.

Sets property | `Soup.Message:priority`

#### Parameters

`priority`

  Type: `SoupMessagePriority`

  The `SoupMessagePriority`.